/*
Theme Name: Uncode Child
Description: Child theme for Uncode theme
Author: Undsgn™
Author URI: http://www.undsgn.com
Template: uncode
Version: 1.0.0
Text Domain: uncode
*/

/* row左侧兩張疊圖版本于：image-card image-card-double-left */

/* 第一張：没有位移 */
.main-container .image-card.image-card-double-left .uncode-single-media:first-of-type .single-wrapper,
.block-wrapper-parent .image-card.image-card-double .uncode-single-media:first-of-type .single-wrapper {
  transform: translateX(-0%);
}

/* 第二張：有向下 padding、較低 z-index，没有位移 */
.main-container .image-card.image-card-double-left .uncode-single-media + .uncode-single-media,
.block-wrapper-parent .image-card.image-card-double .uncode-single-media + .uncode-single-media {
  padding: 45% 0% 0% 0%;
  z-index: 1;
}

.main-container .image-card.image-card-double-left .uncode-single-media + .uncode-single-media .single-wrapper,
.block-wrapper-parent .image-card.image-card-double .uncode-single-media + .uncode-single-media .single-wrapper {
  transform: translateX(-20%)
}

/* 注意：第三張相關的整段，這個版本就不要寫 */


/* row右侧兩張疊圖版本于：image-card image-card-double-right */

/* 第一張：没有位移 */
.main-container .image-card.image-card-double-right .uncode-single-media:first-of-type .single-wrapper,
.block-wrapper-parent .image-card.image-card-double .uncode-single-media:first-of-type .single-wrapper {
  transform: translateY(-0%);
}

/* 第二張：有向下 padding、較低 z-index，没有位移 */
.main-container .image-card.image-card-double-right .uncode-single-media + .uncode-single-media,
.block-wrapper-parent .image-card.image-card-double .uncode-single-media + .uncode-single-media {
  padding: 45% 0% 0% 0%;
  z-index: 1;
}

.main-container .image-card.image-card-double-right .uncode-single-media + .uncode-single-media .single-wrapper,
.block-wrapper-parent .image-card.image-card-double .uncode-single-media + .uncode-single-media .single-wrapper {
  transform: translateX(20%)
}

/* 注意：第三張相關的整段，這個版本就不要寫 */



/* 以下是字体的CSS */
/* playfair-display-regular */
@font-face {
  font-display: swap;
  font-family: 'Playfair Display';
  font-style: normal;
  font-weight: 400;
  src: url('https://2026.ausbery.com/wp-content/themes/uncode-child/fonts/playfair-display-v40-latin-regular.woff2') format('woff2');
} 

/* playfair-display-italic */
@font-face {
  font-display: swap;
  font-family: 'Playfair Display';
  font-style: italic;
  font-weight: 400;
  src: url('https://2026.ausbery.com/wp-content/themes/uncode-child/fonts/playfair-display-v40-latin-italic.woff2') format('woff2');
}

/* manrope-regular */
@font-face {
  font-display: swap;
  font-family: 'Manrope';
  font-style: normal;
  font-weight: 400;
  src: url('https://2026.ausbery.com/wp-content/themes/uncode-child/fonts/manrope-v20-latin-regular.woff2') format('woff2');
}

/* manrope-600 */
@font-face {
  font-display: swap;
  font-family: 'Manrope';
  font-style: normal;
  font-weight: 600;
  src: url('https://2026.ausbery.com/wp-content/themes/uncode-child/fonts/manrope-v20-latin-600.woff2') format('woff2');
}

/* manrope-800 */
@font-face {
  font-display: swap;
  font-family: 'Manrope';
  font-style: normal;
  font-weight: 800;
  src: url('https://2026.ausbery.com/wp-content/themes/uncode-child/fonts/manrope-v20-latin-800.woff2') format('woff2');
}
